Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Data Structures | Namespaces
FieldMaskingSpanQuery.h File Reference
`#include "SpanQuery.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::FieldMaskingSpanQuery
| Wrapper to allow `SpanQuery` objects participate in composite single-field SpanQueries by 'lying' about their search field. That is, the masked SpanQuery will function as normal, but `SpanQuery#getField()` simply hands back the value supplied in this class's constructor. More...

## Namespaces

namespace | Lucene

clucene.sourceforge.net